# The DOMNamedNodeMap class

(PHP 5, PHP 7)

## Class synopsis

DOMNamedNodeMap implements Traversable , Countable {
/* Properties */
readonly public int $length ;
/* Methods */
public count ( void ) : int
getNamedItem ( string `$name` ) : DOMNode
getNamedItemNS ( string `$namespaceURI` , string `$localName` ) : DOMNode
item ( int `$index` ) : DOMNode
}

## Properties

length

  The number of nodes in the map. The range of valid child node indices is 0 to length - 1 inclusive.

## Table of Contents

- DOMNamedNodeMap::count — Get number of nodes in the map
- DOMNamedNodeMap::getNamedItem — Retrieves a node specified by name
- DOMNamedNodeMap::getNamedItemNS — Retrieves a node specified by local name and namespace URI
- DOMNamedNodeMap::item — Retrieves a node specified by index